@charset "UTF-8";

/* Declare global values */
:root{
	--brand-red:#ce0e2d;
	--brand-red-active: color-mix(in srgb, var(--brand-red), black 50%);
	--brand-yellow:#f3bd48;
	--brand-yellow-hover: color-mix(in srgb, var(--brand-yellow), white 50%);
	--transparent-white: rgba(255, 255, 255, 0.5);
	--transparent-black: rgba(0, 0, 0, 0.6);
	--paddingTopBottom: 3rem;
}
/* 
.test{
	background: rgba(0,255,0,0.2);
}
.test2{
	background: rgba(0,0,255,0.2);
} 
*/

@supports (-webkit-touch-callout: none) {
  /* CSS specific to iOS devices */
  #backgroundImg4 {
    display: none;
  }
}


@keyframes scroll-watcher{
	to{ scale: 1 1; }
}
@keyframes scroll-player{
	0% { scale: 0.8;}
	50% { scale: 1;}
	100% { scale: 0.8;}
}
@keyframes scroll-backgroundImg1 {
	to { scale: 2; opacity: 0; }
}
@keyframes scroll-backgroundImg2 {
	from{ scale: 1; opacity: 0; }
	to { scale: 2; opacity: 1; }
}
@keyframes scroll-backgroundImg3 {
	to { transform: translateY(-800px); }
}
@keyframes scroll-backgroundImg4 {
	to { scale: 2; opacity: 0; }
}
@keyframes fade-out {
	to { opacity: 0; }
}
@keyframes scroll-parallax {
	from { transform: translateY(150px); }
	to { transform: translateY(-50px); }
}

#scrollProgress{
	height: 3px;
	position: absolute;
	bottom: 0;
	z-index: 1001;
	background-color: var(--brand-yellow);
	width: 100%;
	scale: 0 1;
	transform-origin: left;
	animation: scroll-watcher linear;
	animation-timeline: scroll();

}


/* custom backfounds for the sections and section dividers */
#section-contact {
    background-image: url("../images/backgrounds/background_7-Black.jpg");
	border-bottom: solid var(--transparent-white) 1px;
}
#backgroundImg0{
	background-image: url("../images/backgrounds/background_2.jpg");
}
#backgroundImg1{
	background-image: url("../images/backgrounds/Circle1yellow.jpg");
	animation: scroll-backgroundImg1 ease-out;
	animation-timeline: scroll();
}
#backgroundImg2{
	background-image: url("../images/backgrounds/Circle2yellow.jpg");
	animation: scroll-backgroundImg2 ease-in;
	animation-timeline: scroll();
}
#backgroundImg3{
	background-image: url("../images/backgrounds/background_2026.png");
	animation: scroll-backgroundImg3 linear;
	animation-timeline: scroll();

}
#backgroundImg4{
	background-image: url("../images/backgrounds/Circle5yellow.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;	

	animation: scroll-backgroundImg4 ease-in-out;
	animation-timeline: view();
	animation-range: exit -200px;
}
.fade-out{
	animation: fade-out ease-out;
	animation-timeline: view();
	animation-range: exit -200px;
}
.scroll-parallax{
	animation: scroll-parallax ease-out;
	animation-timeline: view();
	animation-range: cover;
}

#btn-contact{
	background: var(--brand-yellow);
	font-family: obviously-narrow, sans-serif;
	font-weight: 700;
	font-style: normal;
	font-size: 1.2rem;
	text-align: center;
	text-transform: uppercase;
	line-height: 1;
	
	padding: 15px 25px;
	border-radius: 0px 0px 10px 10px;
	position: fixed;
	right: 10px;
	top: 70px;
	z-index: 1000;
}
#section-home {
	margin-bottom: 0px;
}
#section-home h1{
	font-size: 6rem;
}

#img-player2{
	left: -200px;
	bottom: -200px;
}

#img-player3{
	top: -200px;
}
#img-player4{
	left: -280px;
	bottom: 50px;
}

.playerImg{
	animation: scroll-player linear forwards;
	animation-timeline: view();
	animation-range: cover;
}

.section{
	min-height: 300px !important;
	scroll-margin-top: 100px;
	margin-bottom: 150px;
}

/* ---- NAV BAR --- */
.navbar{
	color: white !important;
	background-image: url("../images/backgrounds/background_1.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}
.nav-link{
	color: white;
	text-transform: uppercase;
	font-size: 1.25rem;
	font-family: obviously-narrow, sans-serif;
	font-weight: 700;
	font-style: normal;
}
.nav-link:hover{
	color: var(--brand-yellow);
}
.navbar .nav-link.active {
	opacity: 0.5;
}


.table-dark > :not(caption) > * > * {
	background-color: rgba(0, 0, 0, 0);
}


.btn-primary{
	background: white;
	color: var(--brand-red);
	font-family: obviously-narrow, sans-serif;
	font-weight: 700;
	font-style: normal;
	font-size: 1.5rem;
	text-align: center;
	text-transform: uppercase;
	line-height: 1;
	padding: 15px 30px;	
	border: solid white 1px;
	box-shadow: 3px 3px 10px 0px rgba(0, 0, 0, 0.5);
}
.btn-primary:hover{
	background-color: var(--brand-red);
	border: solid white 1px;
}
.btn-primary:active {
	background-color: var(--brand-red-active) !important;
	border: solid white 1px !important;
}

.border-top {
  	border-top: 1px solid var(--transparent-white) !important;
	padding-top: 1rem;
}

.card{
	background-color: var(--transparent-black); 
	background-image: url("../images/backgrounds/BGBlasty.png");
	background-attachment:fixed;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	
	color: white;
	border-radius: 30px;
	padding-top: var(--paddingTopBottom);
	padding-bottom: var(--paddingTopBottom);
	border: solid 1px var(--transparent-white);
	box-shadow: 
		0px 0px 10px 0px rgba(255, 255, 255, 0.5),
		0px 0px 40px 5px rgba(206, 14, 45, 1);
}

.card-img-top{
	width: 50%;
	max-width: 150px;
}

.card-title {
	font-family: obviously-narrow, sans-serif;
	font-weight: 700;
	font-style: normal;
	font-size: 2rem;
	line-height: 1;
	text-transform: uppercase;
}

.clubRedCard{
	background-image: url("../images/clubRed/ClubRed_bk.jpg");
	background-attachment: fixed;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}
#clubRedPhoto{
	margin-right: -24px;
}
.fill-div{
	display: block;
    height: 100%;
    width: 100%;
    text-decoration: none;
	color: inherit;
}

@media (min-width: 992px) {
	.carousel-control-prev {
	  left: -150px;
	}

	.carousel-control-next {
	  right: -150px;
	}
}

.accordion {
	--bs-accordion-bg: var(--transparent-black);
	--bs-accordion-border-color: white;
	
	--bs-accordion-btn-bg: white;
	--bs-accordion-btn-color: black;
		
	--bs-accordion-active-bg: white;
	--bs-accordion-active-color: black;
	
	--bs-accordion-btn-focus-border-color: none;
	--bs-accordion-btn-focus-box-shadow: none;
}

.accordion-button{
	font-family: obviously-narrow, sans-serif;
	font-weight: 700;
	font-style: normal;
	font-size: 1.5rem;
	line-height: 1;
	text-transform: uppercase;
}
.accordion-item {
	color: white;
	margin-bottom: 0.5rem;
}
.accordion-body{
	padding: 40px;
}

.noPadding{
	padding-left: 0 !important;
	padding-right: 0 !important;
}
.backgroundImg{
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;	
	
	position: fixed;
	inset: 0;
	
	z-index: -1000;
}
.blend-mode-screen{
	mix-blend-mode: screen;
}
.blend-mode-overlay{
	mix-blend-mode: overlay;
}
.employeeCard{ 
	max-width: 90%;
	padding-bottom: 20px;
}


body{
	position: relative;
	
	background-color: black;
	background-image: url("../images/backgrounds/background_2.jpg");
	
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;	
	
	color: white;
	font-family: obviously, sans-serif;
	font-weight: 400;
	font-style: normal;
	
	overflow-x: clip;
}
h1{
	font-family: obviously-wide, sans-serif;
	font-weight: 800;
	font-style: normal;
	font-size: 3rem;
	text-transform: uppercase;
	line-height: 1;
	padding-bottom: 3rem;
}
h2{
	font-family: obviously-narrow, sans-serif;
	font-weight: 700;
	font-style: normal;
	font-size: 2rem;
	text-transform: uppercase;
	margin-bottom: 2rem;
	line-height: 1;
}
h3{
	font-family: obviously-narrow, sans-serif;
	font-weight: 700;
	font-style: normal;
	font-size: 1.8rem;
	text-transform: uppercase;
	line-height: 1;
	color: var(--transparent-white);
}
h4{
	font-family: obviously-narrow, sans-serif;
	font-weight: 700;
	font-style: normal;
	font-size: 1.5rem;
	line-height: 1;
}
a{
	color: var(--brand-yellow);
	text-decoration: none;
}
a:hover{
	color: var(--brand-yellow-hover);
}


ol {
	counter-reset: custom;
	list-style: none;
	padding-left: 0;
}

ol li {
	counter-increment: custom;
	position: relative;
	padding-left: 5rem;
	padding-top: 2rem;
	border-top: 1px solid var(--transparent-white) !important;
}

ol li::before {
	font-family: shuttleblock, sans-serif;
	font-weight: 700;
	content: counter(custom);
	position: absolute;
	left: 0;
	top: 2rem;
	font-size: 3rem;
	color: var(--brand-red);
	background: white;
	width: 4rem;
	height: 4rem;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 50%;
}

@media (max-width: 992px) {
	#section-home h1{
		font-size: 3rem;
	}
	h1{
		font-size: 2rem;
	}
}






